Page MenuHomePhabricator

Update or clear default content of `autoblock_whitelist` message
Closed, ResolvedPublic

Description

Currently, the MediaWiki core default content of the autoblock_whitelist message contains a substantial bunch of IP ranges, labelled "AOL", and linking to http://webmaster.info.aol.com/proxyinfo.html which doesn't exist anymore. See for example https://test2.wikipedia.org/wiki/MediaWiki:Autoblock_whitelist.

These addresses were added way back in https://www.mediawiki.org/wiki/Special:Code/MediaWiki/17937 (2006) and I doubt whether they really need to be there anymore. The addresses in question appear to still be registered to AOL, but there's a good chance their addressing infrastructure has changed in the last 9 years.

Event Timeline

TTO created this task.Aug 30 2015, 7:37 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a project: MediaWiki-User-management.
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2015, 7:37 AM
TTO added a comment.Aug 30 2015, 7:42 AM

Note also https://en.wikipedia.org/wiki/Wikipedia:AOL, which suggests that the situation was "resolved" (although perhaps only for WMF infrastructure) in late 2006. It's also interesting that the AOL website barely mentions proxies: https://google.com/search?q=site:aol.com+proxy

Xauroflaux triaged this task as Normal priority.Apr 11 2017, 11:22 AM

Change 348035 merged by jenkins-bot:
[mediawiki/core@master] Block: Remove old IP addresses from default autoblock_whitelist message

https://gerrit.wikimedia.org/r/348035

TTO closed this task as Resolved.Apr 28 2017, 2:26 AM